# M

## mcmmo\_xp\_multiplier（永久技能）

该技能的作用是加倍获得的 mcmmo 经验值。

```
- id: mcmmo_xp_multiplier
  args:
    multiplier: 1.5 
    skills: 
      - mining
      - combat 
```

其中：

* args.multiplier：加倍值。
* args.skills：技能 **id**。

## mine\_radius（触发技能）

该技能的作用是挖掘指定范围内的所有指定方块。

```
- id: mine_radius
  args:
    radius: 1
    blacklisted_blocks:
      - obsidian
    check_hardness: true
    disable_on_sneak: true
    whitelist: []
```

其中：

* args.radius：挖掘的半径。
* args.blacklisted\_blocks：挖掘的方块黑名单列表，该列表内方块不会被挖掘。
* args.check\_hardness：是否检查方块硬度，例如这样玩家无法使用木镐通过该技能挖掘钻石矿了。
* args.disable\_on\_sneak：是否在玩家潜行时禁用该技能。
* args.whitelist：挖掘的方块白名单列表，该列表内的方块才会被挖掘。

## mine\_radius\_one\_deep（触发技能）

与上相同，但不计入高度。例如上面的半径3代表 3x3x3 的区域，而本技能是 3x1x3 的区域（高度为1）。

同时新增下面参数：

* args.no\_corners: 是否不挖掘角落，实现菱形的挖掘效果。

## mine\_vein（触发技能）

该技能的作用是挖掘整个矿脉。

```
- id: mine_vein
  args:
    limit: 10 
    blocks: []
    disable_on_sneak: true
    prevent_trigger: true
```

其中：

* args.limit：挖掘方块的上限。
* args.blocks：挖掘的方块列表，如果没有该选项则默认为玩家挖到的首个方块。
* args.disable\_on\_sneak：是否在玩家潜行时禁用该技能。
* args.prevent\_trigger：该破坏方块是否会触发触发器。

## mob\_coins\_multiplier（永久技能）

该技能的作用是加倍玩家获得生物金币的数量。需要 TMMobCoins。

```
- id: mob_coins_multiplier
  args:
    multiplier: 1.5
```

其中：

* args.multiplier：加倍值。

## movement\_speed\_multiplier（永久技能）

该技能的作用是加倍玩家的原版移动速度属性。

```
- id: movement_speed_multiplier
  args:
    multiplier: 1.5
```

其中：

* args.multiplier：加倍值。

## multiply\_all\_stats（永久技能）

该技能的作用是加倍玩家所有的自定义属性。

```
- id: multiply_all_stats
  args:
    multiplier: 0.75
```

其中：

* args.multiplier：加倍值。

## multiply\_drops（触发技能）

该技能作用是加倍玩家获得的掉落物。需要一个与捡起掉落物有关的触发器。。

```
- id: multiply_drops
  args:
    on_items:
      - diamond
      - emerald
    fortune: 3
```

其中：

* args.on\_items：作用的物品id。
* args.fortune：以时运或者掠夺几级的附魔模拟此次掉落，实现加倍效果。

## multiply\_stat（永久技能）/multiply\_stat\_temporarily（触发技能）

该技能作用是永久的或者临时的加倍玩家的某个属性。

```
- id: multiply_stat
  args:
    stat: speed
    multiplier: 0.75
```

```
- id: multiply_stat_temporarily
  args:
    stat: strength 
    multiplier: 1.1 
    duration: 20
```

其中：

* args.stat：自定义属性的 id。
* args.multiplier：加倍值。
* args.duration：持续的时长。

## multiply\_velocity

该技能作用是加倍玩家的原版速度值。

```
- id: multiply_velocity
  args:
    multiplier: 1.3
```

其中：

* args.multiplier：加倍值。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/ji-neng-lie-biao/m.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
